package com.lz.modules.performance.enums;

/**
 * @Author: djc
 * @Desc:
 * @Date: 2020/10/14 17:00
 */
public enum ResultFlowProcessEnum {
    TARGET(0,"制定目标"),
    CONFIRM(1,"目标确认"),
    DO(2,"执行中"),
    WRITE(3,"结果值录入"),
    SCORE(4,"评分"),
    FINISH(5,"考核结束"),
    ;
    private int status;

    private String desc;


    public static String getDesc(int status){
        for(ResultFlowProcessEnum flowProcessEnum:ResultFlowProcessEnum.values()){
            if(flowProcessEnum.getStatus() == status){
                return flowProcessEnum.getDesc();
            }
        }
        return "";

    }

    ResultFlowProcessEnum(int status, String desc) {
        this.status = status;
        this.desc = desc;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
